package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MsgBean {

        /**
         * records : [{"createdBy":675,"createdByName":null,"createdTime":"2020-04-06 17:42:27","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":850,"messageId":432,"recordType":null,"recordTypeName":null,"orderType":null,"orderTypeName":null,"originatorId":null,"approverId":null,"userId":null,"targetId":null,"processCode":null,"recordId":null,"status":"1","userNickName":null,"noticeType":"notice","title":"销售订单开票审核通知","content":null},{"createdBy":675,"createdByName":null,"createdTime":"2020-04-01 13:42:17","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":833,"messageId":415,"recordType":null,"recordTypeName":null,"orderType":null,"orderTypeName":null,"originatorId":null,"approverId":null,"userId":null,"targetId":"SO10628","processCode":null,"recordId":null,"status":"1","userNickName":null,"noticeType":"notice","title":"销售订单（SO10628)入库审核通知","content":null},{"createdBy":675,"createdByName":null,"createdTime":"2020-03-28 10:58:11","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":806,"messageId":388,"recordType":null,"recordTypeName":null,"orderType":null,"orderTypeName":null,"originatorId":null,"approverId":null,"userId":null,"targetId":"SO10743","processCode":null,"recordId":null,"status":"1","userNickName":null,"noticeType":"notice","title":"销售订单（SO10743)领用审核通知","content":null}]
         * total : 3
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 675
             * createdByName : null
             * createdTime : 2020-04-06 17:42:27
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 850
             * messageId : 432
             * recordType : null
             * recordTypeName : null
             * orderType : null
             * orderTypeName : null
             * originatorId : null
             * approverId : null
             * userId : null
             * targetId : null
             * processCode : null
             * recordId : null
             * status : 1
             * userNickName : null
             * noticeType : notice
             * title : 销售订单开票审核通知
             * content : null
             */

            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private int id;
            private int messageId;
            private Object recordType;
            private Object recordTypeName;
            private Object orderType;
            private Object orderTypeName;
            private Object originatorId;
            private Object approverId;
            private Object userId;
            private Object targetId;
            private Object processCode;
            private Object recordId;
            private String status;
            private Object userNickName;
            private String noticeType;
            private String title;
            private Object content;

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getMessageId() {
                return messageId;
            }

            public void setMessageId(int messageId) {
                this.messageId = messageId;
            }

            public Object getRecordType() {
                return recordType;
            }

            public void setRecordType(Object recordType) {
                this.recordType = recordType;
            }

            public Object getRecordTypeName() {
                return recordTypeName;
            }

            public void setRecordTypeName(Object recordTypeName) {
                this.recordTypeName = recordTypeName;
            }

            public Object getOrderType() {
                return orderType;
            }

            public void setOrderType(Object orderType) {
                this.orderType = orderType;
            }

            public Object getOrderTypeName() {
                return orderTypeName;
            }

            public void setOrderTypeName(Object orderTypeName) {
                this.orderTypeName = orderTypeName;
            }

            public Object getOriginatorId() {
                return originatorId;
            }

            public void setOriginatorId(Object originatorId) {
                this.originatorId = originatorId;
            }

            public Object getApproverId() {
                return approverId;
            }

            public void setApproverId(Object approverId) {
                this.approverId = approverId;
            }

            public Object getUserId() {
                return userId;
            }

            public void setUserId(Object userId) {
                this.userId = userId;
            }

            public Object getTargetId() {
                return targetId;
            }

            public void setTargetId(Object targetId) {
                this.targetId = targetId;
            }

            public Object getProcessCode() {
                return processCode;
            }

            public void setProcessCode(Object processCode) {
                this.processCode = processCode;
            }

            public Object getRecordId() {
                return recordId;
            }

            public void setRecordId(Object recordId) {
                this.recordId = recordId;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public Object getUserNickName() {
                return userNickName;
            }

            public void setUserNickName(Object userNickName) {
                this.userNickName = userNickName;
            }

            public String getNoticeType() {
                return noticeType;
            }

            public void setNoticeType(String noticeType) {
                this.noticeType = noticeType;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public Object getContent() {
                return content;
            }

            public void setContent(Object content) {
                this.content = content;
            }
        }
}
